{% load django_tables2 %} {% load render_table from django_tables2 %} {% load has_group %} {% block content %}
<div id=summary>
  <div>
    {% if already_exists %}
    <span>File already exists (based on URL/Path)</span>  {% else %}
    <span>Upload succesfull!</span>  {% endif %}
    <button type="button" name="button" id="delete_{{datum.data_id}}" class="btn btn-light btn--undo" value="">Undo</button>
    <script>
      var uploaded_ids = {{uploaded_data_ids | safe}};
    </script>
  </div>
  <div class="data_header">
    <span>
                              <a href="/dcc/detailData/{{ datum.pk }}">
                                  File </a>: {{ datum.file_type }}
                              {% if request.user|has_group  %}
                                  {% if datum.secondary_file %}
                                      <button type="button" class="btn btn-light btn-download" onclick="location.href='/media/{{ datum.primary_file }}'">
                                          Download Read 1 (<span class="file_size">{{datum.primary_file.size}}</span>)
    </button>
    <button type="button" class="btn btn-light btn-download" onclick="location.href='/media/{{ datum.secondary_file }}'">
                                          Download Read 2 (<span class="file_size">{{datum.primary_file.size}}</span>)
                                      </button> {% else %}
    <button type="button" class="btn btn-light btn-download" onclick="location.href='/media/{{ datum.primary_file }}'">
                                      Download {{datum.data_id}} (<span class="file_size">{{datum.primary_file.size}}</span>)
                                  </button> {% endif %} {% endif %}
    </span>
  </div>
</div>
{% endblock %}
